﻿/*全部的    Style ===================================================================*/
/*==================================================================================*/
/*=========== dialog ===========*/
em,strong{font-style:normal;}
.t_l, .t_c, .t_r, .m_l, .m_r, .b_l, .b_c, .b_r {background:#000;opacity:0.2;filter:alpha(opacity=20);overflow:hidden;}
.t_l, .t_r, .b_l, .b_r {height:8px;width:8px;}
.t_c, .b_c {height:8px;}
.m_l, .m_r {width:8px;}
.t_l {-moz-border-radius:8px 0 0 0;}
.t_r {-moz-border-radius:0 8px 0 0;}
.b_l {-moz-border-radius:0 0 0 8px;}
.b_r {-moz-border-radius:0 0 8px 0;}
.m_c {background:#FFFFFF;}
.m_c .tb {margin:0 0 10px;padding:0 10px;}
.m_c .c {padding:0 10px 10px;}
.m_c .o {background: #F2F2F2;border-top:1px solid #CCCCCC;height:36px;padding:3px 15px; text-align:right; margin-bottom:0px;}
.m_c .o .pn{min-width:100px;}
.m_c .el {width:420px;}
.m_c .el li {border:medium none;padding:0;}
.m_c .altw {min-height:120px; padding:10px;min-width:200px;}
.flb {height:35px;line-height:35px;padding:0px 5px 4px 2px; border-bottom:1px solid #AAAAAB; margin:0;}
.flb em {color:#336699;float:left;font-size:14px;font-weight:700;}
.flb em a {text-decoration:none;}
.flb .needverify {background:url("../../images/re_unsolved.gif") no-repeat scroll 0 0 transparent;color:#999999;float:left;font-size:12px;font-weight:400;height:21px;line-height:21px;margin-left:8px;padding-left:13px;width:45px;}
.flb .onerror, .flb .onright {font-size:12px;font-weight:400;height:auto;line-height:140%;padding-left:20px;white-space:nowrap;}
.flb .onerror {background:url("../../images/check_error.gif") no-repeat scroll 0 50% transparent;}
.flb .onright {background:url("../../images/check_right.gif") no-repeat scroll 0 50% transparent;color:#666666;}
.flb span {color:#999999;float:right;}
	.flb span a, .flb strong {color:#333333;float:left;font-weight:400;margin-left:8px;text-decoration:none;}
	.flb span a:hover {color:#999999;}
.flbc{margin-top:5px; float:left;width:20px;height:20px;overflow:hidden;text-indent:-9999px;background:url(../../images/icon/cls.gif) no-repeat 0 0;cursor:pointer;}
.flbc:hover{background-position:0 -20px;}

.altw{}
.altw .fltc{margin-bottom:0;padding:8px;}
.alert_right,.alert_error,.alert_info,.alert_important{padding:6px 0 6px 58px;min-height:50px;height:auto !important;height:40px;line-height:160%;background:url(../../images/icon/right.gif) no-repeat 8px 8px;font-size:14px;}
.alert_error{background-image:url(../../images/icon/error.gif);}
.alert_error a{font-weight:700;color:#369;}
.alert_info{background-image:url(../../images/icon/info.gif);}
.alert_important{background-image: url(../../images/icon/important.png)}
.alert_btnleft{margin-top:8px;}
.alert_btn{margin-top:20px;text-align:center;}
.alert_act{margin-top:20px;padding-left:58px;}


/*=========== bootcss fixed ===========*/
ul li,ol li, fieldset ol{list-style:none;}
ul,ol {margin:0; padding:0;}
.top5 {margin-top:5px;}
.top10 {margin-top:10px;}
.top15 {margin-top:15px;}
.charfont {font-style:normal;}
.pointer{cursor:pointer;}

/*.inline15px {min-width: 15px;line-height: 1px;display: inline-block;}*/
/* == 警告 == */
.alert-fixed-top {position: fixed;top:65px;right: 0;left: 0;z-index: 1140;min-height:100px;}
.alert .alert-msg {padding-left:10px;}
.pointer { cursor:pointer; }
.alertinfo {padding: 30px 0; color: Red; font-size: large; text-align: center; border:1px solid #ccc; width:100%}

/* Styles for validation helpers
    -----------------------------------------------------------*/
.field-validation-error {color: #f00;}
.field-validation-valid {display: none;}
.input-validation-error {border: 1px solid #f00;background-color: #fee;padding:1px;}
.validation-summary-errors {font-weight: bold;color: #f00;}
.validation-summary-valid {display: none;}

.main-header {z-index: 1000;}

/*侧边栏*/
.sidebar-menu .treeview-menu{padding-top:10px;}
.sidebar-menu .treeview-menu > li {padding-left:21px;}
.skin-blue-light .sidebar-menu > li > .treeview-menu {background:inherit;}

/*大屏幕版本Style ===================================================================*/
/*==================================================================================*/

@media (min-width: 768px) {

.modal-header,.modal-footer{padding:10px;    /* border-top-color: #f4f4f4; */}
.modal-footer{border-top-color: #e5e5e5;}

/*侧边栏*/
.sidebar-menu .treeview-menu > li > a {font-size:12px;line-height:1.5em;}

body {
    font-size: 12px;
}
/*表格的样子修复*/
.table tr th {
    vertical-align: middle;
    background: #eee;
}
.table th {
    font-weight: bold;
}
.table-bordered > thead > tr > th, .table-bordered > tbody > tr > th, .table-bordered > tfoot > tr > th, .table-bordered > thead > tr > td, .table-bordered > tbody > tr > td, .table-bordered > tfoot > tr > td {
    border: 1px solid #ddd;
}
.table-bordered > caption + thead > tr:first-child > th,
.table-bordered > colgroup + thead > tr:first-child > th,
.table-bordered > thead:first-child > tr:first-child > th,
.table-bordered > caption + thead > tr:first-child > td,
.table-bordered > colgroup + thead > tr:first-child > td,
.table-bordered > thead:first-child > tr:first-child > td {
  border-top: 1px solid #ddd;
}

.table .u_hover:hover td {
    background-color: #F5F5F5;
}

/*Checkbox*/
input[type="radio"], input[type="checkbox"] {
    margin-top: 0;
}
/*导航高度*/
.main-header{line-height:20px;}
.main-header .navbar-static-top{padding-right:20px\0;}
/*表单控件*/
.form-control,.form-control-static {
    min-height: initial;
    height:30px;
    padding: 4px 8px;
    font-size: 12px;
    line-height: 1.41;
}
.btn{line-height: 1.41;}
select.form-control{height:30px;}

/*按钮大小*/
.btn:not(.btn-xs):not(.btn-sm):not(.btn-lg) {padding: 5px 8px;font-size: 12px;height: 30px;}

/*=修复AdminLTE=================*/
.box-header.with-border {
    border-bottom: 1px solid #ddd;
}
.box-footer {
    border-top: 1px solid #ddd;
}
.box-header,.box-footer{
    padding: 8px;
}

.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th{
    font-weight: bold;
}
.table:not(.table-condensed) > thead > tr > th, .table:not(.table-condensed) > tbody > tr > th, .table:not(.table-condensed) > tfoot > tr > th, .table:not(.table-condensed) > thead > tr > td, .table:not(.table-condensed) > tbody > tr > td, .table:not(.table-condensed) > tfoot > tr > td {
    padding: 5px;
    line-height:1.42857143;
}
.table.table-condensed > thead > tr > th, .table.table-condensed > tbody > tr > th, .table.table-condensed > tfoot > tr > th, .table.table-condensed > thead > tr > td, .table.table-condensed > tbody > tr > td, .table.table-condensed > tfoot > tr > td {
    padding: 5px;
    line-height:1.42857143;
}
.table > thead > tr > th.clearpadding, .table > tbody > tr > th.clearpadding, .table > tfoot > tr > th.clearpadding, .table > thead > tr > td.clearpadding, .table > tbody > tr > td.clearpadding, .table > tfoot > tr > td.clearpadding {
    padding:0;
}
.table{margin-bottom:10px;}

/*表单行间距5px*/
.form-row .row .more{line-height:1.42857143;}
.form-row .row>div>div:first-child>label,.form-row>.form-group .control-label,.form-row>.row .control-label {min-width:120px; margin-right:5px;}
.form-row>.form-group .offset-control-label,.form-row>.row .offset-control-label {margin-left:128px;display:inline-block;}
.form-row .row>div>label:first-child{min-width:120px;}
.form-row140 .form-row .row>div>div:first-child.form-group:not(.checkbox)>label{min-width:140px; margin-right:5px;}
.form-row140 .form-row .row>div>label:first-child{min-width:140px;}
.form-row0 .form-row .row>div>div:first-child.form-group:not(.checkbox)>label{min-width:inherit;}
.form-row0 .form-row .row>div>label:first-child{min-width:inherit;}
.label-width-inherit label{min-width:inherit!important;}
.form-group {margin-bottom: 5px;}
}

.form-row>.row,.form-row>.form-group {margin-bottom:5px;}

/*===============>大于768px Style*/
/*修复 bootcss*/

.input-group-addon-textbox .input-group-addon {width:inherit; border:0 none;padding:0px;}

.input-group-addon-ddl .input-group-addon{padding:0px; width:inherit;}
.input-group-addon-ddl .input-group-addon select,
.input-group-addon-ddl .input-group-addon select:focus,
.input-group-addon-ddl .input-group-addon select:hover{border:0 none;height:28px;}

/*修复 bootcss 扩展*/
.form-control-inline {display:inline; width:inherit;}
dl {margin-bottom: 0;}
/*label {margin-bottom:0;}*/
h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {font-family:inherit;}

.barcode {font: 20px '3 of 9 Barcode';}

.table th.itemno,.table td.itemno {width: 20px;}
.table th.status,.table td.status {width: 20px;}
.table th.sn,.table td.sn {width: 150px;}
.table th.cmd,.table td.cmd {width: 100px;}

.dialog-lg .modal-dialog {max-width: inherit; width:initial; position:relative; margin:10px; display:block;}
.dialog-lg .modal-dialog .modal-body{max-width: inherit;}

@media (min-width: 768px) {

    .dialog-h-100 .modal-dialog{margin: 100px auto;}

    .dialog-sm .modal-dialog {min-width: 510px;}

    .dialog-xs .modal-dialog {min-width: 310px;}
}

@media (min-width: 768px) and (max-width: 991px) {
    .dialog-md .modal-dialog {max-width: inherit; width:initial; position:relative; margin:10px; display:block;}
    .dialog-md .modal-dialog .modal-body{max-width: inherit;}
}

@media (min-width: 992px) {
    .dialog-md .modal-dialog {min-width: 750px;}
}

.print-global{position: relative;background: #fff;padding: 20px;margin: 10px 25px;}

@media print {
  .print-global{ width: 100%; border: 0; margin: 0; padding: 0;}
}
.ng-cloak {display: none !important;}
input.validation-error,textarea.validation-error,select.validation-error {border: 1px solid #ff0000 !important;background-color: #ffeeee !important;}
label.validation-error {color: #ff0000 !important;}

.control-label-group {display:inline-block; }
.control-label-group label.control-label{display:block;}

@media (min-width: 768px) {
    .form-horizontal .control-body {
        padding-top: 7px;
        margin-bottom: 0;
    }
}

.modal-middle {
    display: flex;
    justify-content: center;
    align-items: center;
}

/*多文件上传Style*/
.MultiFile-label {margin-top:3px;}